import request from "./index"
import qs from "qs";
/* 
  查询订单列表
  param
      page
      size
      startTime
      endTime
      inputText
      productBaseId
      orderStatus   -1 已取消，0：草稿，1：待支付，2：已支付
*/
export const getOrders = (params: any) => {
    return request({
      url: "/data/api-s/order/findAllOrder",
      method: "post",
      data: params
    });
};

/* 
  取消订单
  param
      id
*/
export const cancelOrder = (url: any) => {
  return request({
    url: url,
    method: "post"
  });
};

/* 
  查看订单详情
  param
      id
*/
export const showOrder = (url: any) => {
  return request({
    url: url,
    method: "get"
  });
};

/* 
  下载软件
  param
      productId
      activateCode
*/
export const downLoadOrder = (param: any) => {
  return request({
    url: "/data/api-s/order/download",
    method: "get",
    params: param
  });
};

/* 
绑定设备
param:
    "activateCode": "string",
    "deviceIds": []
*/
export const bindDev = (params: any) => {
  return request({
    url: "/data/api-s/order/saveProductDevice",
    method: "post",
    data: params
  });
};

// 确认支付
export const resumePay = (data: any) => {
  return request({
    url: `/data/api-s/order/confirmPay`,
    method: "post",
    data
  });
}

//显示订单支付凭证
export const getOrderCertificate = (orderId:string) => request({
  url:`/data/api-s/order/certificate/show?orderId=${orderId}`,
  method: 'get'
});

//保存订单支付凭证
export const saveOrderCertificate = (data:any) => request({
  url:'/data/api-s/order/certificate/save',
  method: 'post',
  data
});

//审核线下支付凭证
export const approveOrder = (data: any) => request({
  url:'/data/api-s/order/certificate/approve',
  method: 'post',
  data
});

//查询当前用户所下订单
export const findOrderByUserId = (data: any) => request({
  url:'/data/api-s/order/findUserOrder',
  method: 'post',
  data
});

export const getAuthFile = (data: any) => request({
  url:'/data/api-s/getAuthorizationFile',
  method: 'post',
  data,
  responseType: "blob"
});
